function sol = transit_placas_num(D, h, rho, mu, t0, tf, Npt, Npx) 

nu = mu/rho ;

xl = -h ;
xr = h ;

xvec = linspace(xl, xr, Npx) ;
trange = linspace(t0, tf, Npt) ;

sol = pdepe(0, @pdediff, @icdiff, @bcdiff, xvec, trange) ;

function [c,f,s] = pdediff(x,t,u,dudx)
 c = 1 ;
 f = nu*dudx ;
 s = 0 ;
end

function u0 = icdiff(x)
 u0 = 0.5*(D/mu)*(x.^2 - h^2 ) ;
end

function [pl, ql, pr, qr] = bcdiff(xl, ul, xr, ur, t)
 pl = ul ;
 ql = 0 ;
 pr = ur ;
 qr = 0 ;
end

end
