function sol = transit_placas_sdf(D, h, rho, mu, t0, tf, Npt, Npx, Nsum)

nu = mu/rho ;

xl = -h ;
xr = h ;

xvec = linspace(xl, xr, Npx) ;
trange = linspace(t0, tf, Npt) ;

nind = 0:Nsum ;
kn = (2*nind+1)*pi/(2*h) ;
kn2 = kn.^2 ;
kn3 = kn.^3 ;

sol = zeros(Npt, Npx) ;

for ix=1:Npx
    for it=1:Npt
        sol(it, ix) = -2*D/(mu*h)*sum( (((-1).^nind)./kn3).*cos(kn*xvec(ix)).*exp(-nu*trange(it)*kn2) ) ;
    end
end

end